# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc新增商品至常购清单列表,2252,2252-36,sit,bs
主数据平台:多采商城常购清单列表新增商品接口 
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
import requests
import json


module = "cmdc_frequent_purchase"

# 第一步登录多采商城获取token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 第二步切换至子站点
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url2000")
request_body = commonFuc().get_business_data(module, "payload2000")
result = requests.post(url, json=request_body, headers=headers)

# 添加商品至常购清单列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body = commonFuc().get_business_data(module, "payload3001")
# print(request_body)
"""
 场景:新增商品至常购清单列表
 用例名称：新增商品至常购清单列表
 输出：{"success":true,"code":"200","message":"OK","data":"ok"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict1")
print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
